Как установить декодер MPEG-4 AAC и декодер H.264?

Где я могу получить декодер MPEG-4 AAC и декодер H.264.

Как установить их и воспроизвести мультимедиа?

41 голос | спросил Balram Jamale 8 42012vEurope/Moscow11bEurope/MoscowThu, 08 Nov 2012 07:21:25 +0400 2012, 07:21:25

6 ответов


44
Пакет

ubuntu-limited-extras позволяет пользователям устанавливать возможность воспроизведения популярных несвободных медиаформатов, включая форматы DVD, MP3, Quicktime и Windows Media.

Чтобы установить пакет ubuntu-restricted-extras:

  1. Откройте терминал, нажав Ctrl + Alt + T .

  2. Запустите эту команду:

    sudo apt-get install ubuntu-restricted-extras
    
  3. В качестве альтернативы вы можете установить пакет через Центр программного обеспечения , запустив его с помощью Dash и выполните поиск пакета и нажмите Установить . . р>

    введите описание изображения здесь>> </p>
</li>
</ol>
<p> Кроме того, попробуйте установить <strong> libavcodec54 </strong> <strong> libav-tools </strong> и <strong> ffmpeg </strong> с помощью этой команды: </p>

<pre><code>---- +: = 2 = + ----</code></pre></body></html>

ответил Peachy 8 42012vEurope/Moscow11bEurope/MoscowThu, 08 Nov 2012 08:11:10 +0400 2012, 08:11:10
8

Поддержка декодирования MPEG-4 AAC предоставляется gstreamer1.0-libav и декодировать H.264 есть gstreamr0.10-FFmpeg :

$ sudo apt-get install gstreamer1.0-libav gstreamer0.10-ffmpeg

Для получения дополнительной информации см. Документацию Ubuntu .

ответил webwurst 28 Jpm1000000pmTue, 28 Jan 2014 15:29:56 +040014 2014, 15:29:56
4

К сожалению, ни один из этих параметров не работает на Ubuntu 16.04. Я получаю сообщение python 3.5 для поиска MPEG-4 AAC в одном из видео, которое я пытаюсь воспроизвести. Ни одно из указанных выше исправлений отсутствующего кодека.

Прекрасным решением является установка VLC:

sudo apt-get install vlc

(или из программного центра)

Обновление: найдено исправление:

sudo apt-get install gstreamer1.0-plugins-bad

Это сделало звуковую работу для Totem (видео)

Обновление: попробуйте перейти к «Software & Обновления »и включение флажка« Программное обеспечение, ограниченное авторскими или юридическими вопросами ». Затем разрешите Ubuntu обновляться после нажатия кнопки закрытия. Теперь вы можете запустить:

sudo apt-get install ubuntu-restricted-extras

Вам также придется принять условия EULA, прежде чем продолжить.

ответил Vincent Gerris 5 MonEurope/Moscow2016-12-05T12:49:14+03:00Europe/Moscow12bEurope/MoscowMon, 05 Dec 2016 12:49:14 +0300 2016, 12:49:14
1

В последнем Ubuntu версии 14.04, 14.10 лучший способ их настройки:

Чтобы установить пакет ubuntu-restricted-extras:

Откройте терминал, нажав Ctrl + Alt + T .

sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install ffmpeg gstreamer0.10-ffmpeg libavcodec-extra-53 libavcodec53

и N-joy

ответил A1Gard 3 PMpFri, 03 Apr 2015 22:22:29 +030022Friday 2015, 22:22:29
1

Остерегайтесь ошибки gstreamer только для аудио

Слушание только звука при воспроизведении H.264 с другим черным видеоэкраном было сообщено как gstreamer1.0 ошибка # 1562875 .

К счастью, эту ошибку можно легко решить, выпустив следующую команду:

$ rm -R ~/.cache/gstreamer-1.0

Это вступит в силу после перезапуска приложения.

ответил Serge Stroobandt 30 +03002016-10-30T23:57:57+03:00312016bEurope/MoscowSun, 30 Oct 2016 23:57:57 +0300 2016, 23:57:57
0

Другие ответы, похоже, работают на более старых версиях, но сегодня, когда я устанавливал то же самое при чистой установке Ubuntu 18.04, используя ответ Peachy, у меня было много ошибок. Используя эти команды, я установил это в Ubuntu 18.04 LTS успешно.

sudo apt install libdvdnav4 libdvdread4 gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly libdvd-pkg
sudo apt install ubuntu-restricted-extras
ответил Kulfy 6 thEurope/Moscowp30Europe/Moscow09bEurope/MoscowThu, 06 Sep 2018 23:50:13 +0300 2018, 23:50:13

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132